Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451003 - mimeopen is trying to open urls
Summary: mimeopen is trying to open urls
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-utils
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 10:17 UTC by Miroslav Lichvar
Modified: 2009-12-17 19:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-17 19:41:19 UTC


Attachments (Terms of Use)

Description Miroslav Lichvar 2008-06-12 10:17:17 UTC
Description of problem:
In generic environment, where an application supporting image/png mimetype was
installed, xdg-open 'http://a.org/a.png' starts the application instead of web
browser.

Not sure if this should be handled in xdg-open or mimeopen.

Version-Release number of selected component (if applicable):
xdg-utils-1.0.2-4.fc9
perl-File-MimeInfo-0.15-2.fc9

How reproducible:
always

Steps to Reproduce:
1. install perl-File-MimeInfo
2. xdg-open 'http://a.org/a.png'
  
Actual results:
gqview started (or another application supporting image/png mimetype).

Expected results:
web browser started.

Comment 1 Patrice Dumas 2008-06-13 08:05:05 UTC
I submitted something on freedesktop to handle that by adding a 
protocol entry in the desktop file to precise which protocols are 
supported by an application. This would allow to use the mime and
protocol info to decide which application to use. It was not 
clearly rejected but rather people seemed not to care about. It
seems that people are so much into using daemons and vfs to access
urls that they don't care about other solutions.

The mimeopen author also thought about taking advantage of the fact
that urls should be %u and %U, I don't know what is the advancement
of this. For gqview it would require changing %F to %U in .desktop 
file.

Comment 2 Rex Dieter 2008-11-26 15:01:13 UTC
Patrice, thanks, I'll see if I can dig up the ml reference (if you have it handy, could you pleaes reference it here).

Comment 4 Bug Zapper 2009-06-10 01:34:18 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Patrice Dumas 2009-06-10 10:05:08 UTC
There have been recently more talking about this issue on the xdg list, still no real solution, as far as I can tell.

Comment 6 Bug Zapper 2009-11-16 08:08:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Rex Dieter 2009-12-17 19:41:19 UTC
I'm of a mind to think the best short-term solution is to advocate apps use %u and %U in .desktop files per comment #1 , and consider this outside to perview of xdg-utils (at the moment at least, until the protocol extentions mentioned in comment #3 happen )


Note You need to log in before you can comment on or make changes to this bug.